# engine.cpp File Reference

`#include <vector>`
`#include <string>`
`#include <fstream>`
`#include <iostream>`
`#include <ctype.h>`
`#include <boost/filesystem/path.hpp>`
`#include <boost/filesystem/operations.hpp>`
`#include <boost/filesystem/exception.hpp>`
`#include <boost/filesystem/convenience.hpp>`
`#include <boost/tokenizer.hpp>`
`#include <boost/assert.hpp>`
`#include <boost/algorithm/string/case_conv.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/exception.hpp>`
`#include <saga/saga/adaptors/task_declaration.hpp>`
`#include <saga/impl/config.hpp>`
`#include <saga/impl/engine/engine.hpp>`
`#include <saga/impl/engine/proxy.hpp>`
`#include <saga/impl/engine/init_ini_data.hpp>`
`#include <saga/saga/adaptors/adaptor.hpp>`
`#include <saga/saga/uuid.hpp>`
`#include "static_adaptor_data.hpp"`

## Namespaces
namespace | saga
namespace | saga::impl
## Classes
struct | saga::impl::update_no_no_list